d3.csv('https://gist.githubusercontent.com/pemmasaniprudhvinadh/d25c200a517b77886b94b101f1d44ce4/raw/7ea4ec836b9784869c15988225f165cc030e3061/videosgame.csv', function(err, rows){

// creating a function to read csv file and return the attribute values as array  
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}
  
//define the trace attributes for the plotly data
var trace2 = {
	x:unpack(rows, 'NA_Sales'), 
  y:unpack(rows, 'EU_Sales'), 
  z:unpack(rows, 'Other_Sales'),
	mode: 'markers',
	marker: {
		color: 'rgb(255, 51)',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'rgb(255, 51)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace2];
  
//define the layouts -margin, axes value adn stules for the plotly data  
var layout = {
  margin: {
	l: 1,
	r: 1,
	b: 1,
	t: 1},
  scene: {
    xaxis: {
      title: 'NA_Sales',
      titlefont: {
         color: 'green',
         family: 'Arial, Open Sans',
         size: 12
      }
    },
    yaxis: {
      title: 'EU_Sales',
      titlefont: {
         color: 'green',
         family: 'Arial, Open Sans',
         size: 12
      }
    },
  zaxis: {
      title: 'Other_Sales',
      titlefont: {
         color: 'green',
         family: 'Arial, Open Sans',
         size: 12
      }
    }
   }
  };
  
// call the plotly newPlot method to plot the data
Plotly.newPlot('myDiv', data, layout);
});
